Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateInput/FrmEstimateInputAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateInput/FrmEstimateInputAuxiliary.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateInput/FrmEstimateInputAuxiliary.cs	(revision 6)
@@ -997,7 +997,7 @@
         /// <param name="ComponentChar">大項目番号（英字A～Z）</param>
         /// <param name="Componentcode">構成番号</param>
         /// <param name="ItemCnt">大項目番号（英字A～Z）</param>
-        private void CreateTabSetTitile(CommonDefine.TabCotegory CotegoryFlg,
+        private void CreateTabSetTitle(CommonDefine.TabCotegory CotegoryFlg,
                                         string componentname,
                                         int TabIndex,
                                         int Componentcode,
@@ -1118,8 +1118,7 @@
             }
             finally
             {
-                scDB.close();
-                scDB = null;
+                scDB.close(); scDB = null;
             }
         }
         #endregion
@@ -1839,7 +1838,7 @@
 
                 frm.ConstructionCode = m_ConstructionCode;
                 frm.StartupSource = (int)ClsExcute.ProcessExecuteNo.EstimateInput;
-                frm.ShowInTaskbar = false;
+                //frm.ShowInTaskbar = false;
                 frm.ShowDialog();
                 if (frm.EndButton == System.Windows.Forms.DialogResult.OK)
                 {
@@ -2068,7 +2067,7 @@
         {
             try
             {
-                // 承認状況一覧表示
+                // 協力会社金額画面表示
                 m_frmAmountAllocation = new FrmAmountAllocation();
                 // 位置設定
                 m_frmAmountAllocation.LocationPoint = new Point(this.Right, this.Bottom);
@@ -2076,7 +2075,7 @@
                 CalculateAmountAllocate();
 
                 // タスクバーに表示しない
-                m_frmAmountAllocation.ShowInTaskbar = false;
+                //m_frmAmountAllocation.ShowInTaskbar = false;
 
                 // クロースドハンドラをこちらで定義する
                 m_frmAmountAllocation.FormClosed += new FormClosedEventHandler(FrmAmountAllocation_FormClosed);
@@ -2435,8 +2434,7 @@
             }
             finally
             {
-                ioDB.close();
-                ioDB = null;
+                ioDB.close(); ioDB = null;
             }
         }
         #endregion
@@ -2465,8 +2463,7 @@
             }
             finally
             {
-                ioDB.close();
-                ioDB = null;
+                ioDB.close(); ioDB = null;
             }
         }
         #endregion
@@ -2571,6 +2568,11 @@
                 // データ表示
                 m_dispLabelControl[(int)DispLabel.ConstructionName1].Text = workdlist[0].DetailString;                       // 工事名称
 
+                ConstructionBaseInfoDetail OrderRec = new ConstructionBaseInfoDetail();
+                string strOrder = cbidDB.CreatePrimarykeyString(m_ConstructionCode, (int)ConstructionBaseInfoDetail.DetailDataNo.OrderersName);
+                cbidDB.SelectAction(strOrder, ref OrderRec);
+                m_dispLabelControl[(int)DispLabel.OrdersName].Text = OrderRec.DetailString;                                 // 発注者名称
+
                 return true;
             }
             catch (Exception ex)
@@ -2580,10 +2582,8 @@
             }
             finally
             {
-                cbiDB.close();
-                cbiDB = null;
-                cbidDB.close();
-                cbidDB = null;
+                cbiDB.close(); cbiDB = null;
+                cbidDB.close(); cbidDB = null;
             }
         }
         #endregion
@@ -2740,7 +2740,7 @@
                 if (!frm.DataExistCheck) return DialogResult.Cancel;
 
                 // 構成要素選択
-                frm.ShowInTaskbar = false;
+                //frm.ShowInTaskbar = false;
                 frm.ShowDialog();
 
                 // キャンセル・終了は処理しない
@@ -2846,7 +2846,7 @@
                 frm.ItemCodeArray = ItemArray;
 
                 // 工種選択
-                frm.ShowInTaskbar = false;
+                //frm.ShowInTaskbar = false;
                 frm.ShowDialog();
 
                 // キャンセル・終了は処理しない
@@ -2955,7 +2955,7 @@
                 frm.ComponentInput = ComponentArray;
 
                 // 構成要素選択
-                frm.ShowInTaskbar = false;
+                ////frm.ShowInTaskbar = false;
                 frm.ShowDialog();
 
                 // キャンセル・終了は処理しない
@@ -3460,13 +3460,13 @@
         /// 論理エラー時メッセージボックス
         /// </summary>
         /// <param name="strLogString"></param>
-        /// <param name="strTitile"></param>
+        /// <param name="strTitle"></param>
         /// <param name="strMethodName"></param>
         /// <param name="strMessage"></param>
-        private void LogicalErrorMessage(string strLogString, string strTitile, string strMethodName, string strMessage = "")
+        private void LogicalErrorMessage(string strLogString, string strTitle, string strMethodName, string strMessage = "")
         {
-            logger.ErrorFormat(strLogString + "：" + strTitile + "：" + strMethodName + "：" + strMessage);
-            MessageBox.Show(strLogString, strTitile, MessageBoxButtons.OK, MessageBoxIcon.Error);
+            logger.ErrorFormat(strLogString + "：" + strTitle + "：" + strMethodName + "：" + strMessage);
+            MessageBox.Show(strLogString, strTitle, MessageBoxButtons.OK, MessageBoxIcon.Error);
         }
         #endregion
 
@@ -3611,7 +3611,7 @@
                 // 行№のキャラクタ設定（デフォルトは行番号よりもってくる、これは大項目）
                 string LineCharacter = CommonMotions.cnvNumberToAlphaCharacter(CurrentRow - 1);
                 // 新規作成したタブの表示名称のセット
-                CreateTabSetTitile(NewCotegory,
+                CreateTabSetTitle(NewCotegory,
                             structurename,
                             NewTabCnt,
                             BelongingToComponentCode,
@@ -3828,8 +3828,11 @@
                 btnLineAdd.Visible = true;
                 btnLineDel.Visible = true;
                 btnMasterIn.Visible = false;
-                btnSubConstructor.Visible = false;
+                btnSubConstructor.Visible = true;
 
+                // 協力会社ボタン移動
+                btnSubConstructor.Location = btnDataDelete.Location;
+
                 btnLineAdd.Text = "中項目 行 追加";
                 btnLineDel.Text = "中項目 行 削除";
                 toolTip1.SetToolTip(btnLineAdd, "中項目の行が追加されます。");
@@ -3845,6 +3848,7 @@
 
                 // マスタ登録ボタン移動（表示の時のみ）
                 btnMasterIn.Location = btnDataEntry.Location;
+                // 協力会社ボタン移動
                 btnSubConstructor.Location = btnDataDelete.Location;
 
                 btnLineAdd.Text = "小項目 行 追加";
@@ -4163,7 +4167,7 @@
 
                 frm.DialogUsed = true;
 
-                frm.ShowInTaskbar = false;
+                //frm.ShowInTaskbar = false;
                 frm.ShowDialog();
 
                 int UnitCode = frm.UnitKey;
@@ -4202,6 +4206,8 @@
                 // 会社名とコードをクリアする
                 TergetCell.Value = "";
                 TergetCodeCell.Value = "0";
+
+                m_bChengeAns = true;
             }
             catch (System.Exception ex)
             {
@@ -4216,11 +4222,15 @@
         /// </summary>
         private void SetDisplayObject()
         {
+            int DspCtrlCnt = Enum.GetNames(typeof(DispLabel)).Length;
+            m_dispLabelControl = new Control[DspCtrlCnt];
+
             m_dispLabelControl[(int)DispLabel.ConstructionCode] = lblLabel01;
             m_dispLabelControl[(int)DispLabel.ConstructionName1] = lblLabel02;
             m_dispLabelControl[(int)DispLabel.EstimatesSubmittedDate] = lblLabel04;
             m_dispLabelControl[(int)DispLabel.ConstructionStartDate] = lblLabel05;
             m_dispLabelControl[(int)DispLabel.ConstructionEndDate] = lblLabel06;
+            m_dispLabelControl[(int)DispLabel.OrdersName] = lblLabel07;
             m_dispLabelControl[(int)DispLabel.ComponentCount] = lblDispCnt01;
             m_dispLabelControl[(int)DispLabel.ItemCount] = lblDispCnt02;
             m_dispLabelControl[(int)DispLabel.WorkCount] = lblDispCnt03;
@@ -4228,6 +4238,36 @@
         }
         #endregion
 
+        #region 通常起動時初期処理
+        /// <summary>
+        /// 通常起動時初期処理
+        /// </summary>
+        /// <returns></returns>
+        private bool NormalModeExecute()
+        {
+            try
+            {
+                // データが無い場合は総計ページを作成する
+                // 構成行選択作成
+                if (!CreateComponentLine(0))
+                {
+                    this.Close();
+                    return false;
+                }
+
+                // 採番処理
+                LineReNumberingAlphaCharacter(dgvEntryData);
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
         #region 初期処理
         /// <summary>
         /// 初期時データ取得
@@ -4254,20 +4294,26 @@
 
                 if (!bInitDisp)
                 {
-                    // データが無い場合は総計ページを作成する
-                    // 構成行選択作成
-                    if (!CreateComponentLine(0))
+                    if (MessageBox.Show("新規見積りを作成します。", "見積作成",
+                                        MessageBoxButtons.OKCancel, MessageBoxIcon.Information) == DialogResult.Cancel)
                     {
                         this.Close();
                         return false;
                     }
 
-                    // 採番処理
-                    LineReNumberingAlphaCharacter(dgvEntryData);
-
+                    if (m_ConstructionBaseInfo.TyingFlg!=(int)CommonDefine.BaseInfoTyingFlg.Tying)
+                    {
+                        // 通常起動処理
+                        if (!NormalModeExecute())
+                        {
+                            this.Close();
+                            return false;
+                        }
+                    }
                     // 総計表示処理
                     List<EstimateData> datalist = new List<EstimateData>();
                     InitDispTotalPage(datalist);
+
                 }
                 // 工種数更新
                 SetDataCount();
@@ -4547,7 +4593,7 @@
                                     MiddleList[ix].UnionComponentCode,
                                     0,
                                     subItems);
-                    CreateTabSetTitile((CommonDefine.TabCotegory)MiddleList[ix].Category,
+                    CreateTabSetTitle((CommonDefine.TabCotegory)MiddleList[ix].Category,
                                     MiddleList[ix].PageTitle,
                                     MiddleTab,
                                     MiddleList[ix].ComponentCode,
@@ -5507,5 +5553,175 @@
         }
         #endregion
 
+        #region 割付業者のチェックをおこなう
+        /// <summary>
+        /// 割付業者のチェックをおこなう
+        /// </summary>
+        private bool CheckConstructor()
+        {
+            try
+            {
+                // 割当金額更新
+                CalculateAmountAllocate();
+
+                // 先頭は未割当
+                AmountAllocation wrkList = m_AmountList[0];
+
+                // 割当リストの先頭が未割当ではない場合はエラー
+                if (wrkList.Code != CommonDefine.s_AmountMoney[(int)CommonDefine.AmountMoneyNo.NonAssign].Key) return false;
+                if (wrkList.Name != CommonDefine.s_AmountMoney[(int)CommonDefine.AmountMoneyNo.NonAssign].Value) return false;
+                // 未割当金額が0の場合はＯＫ
+                //if (wrkList.Amount == 0) return true;
+
+                bool bRet = true;
+                bool bAns = true;
+                foreach (EstimateInputPage wrkPage in m_EntryPage)
+                {
+                    // 大項目はチェックしない
+                    if (wrkPage.Cotegory == CommonDefine.TabCotegory.Total) continue;
+
+                    // グリッド行分処理する
+                    foreach (DataGridViewRow wrkRow in wrkPage.EntryDGV.Rows)
+                    {
+                        bAns = true;
+
+                        // 無効行は処理しない
+                        if (!ChkGridLineEffectiveness(wrkRow)) continue;
+                        if (CommonMotions.chkCellBlank(wrkRow.Cells[(int)GridItemColumn.LineTotal].Value)) continue;
+
+                        int Code = 0;
+                        // 金額は共通なので先に取得する
+                        int Amount = CommonMotions.cnvInt(wrkRow.Cells[(int)GridItemColumn.LineTotal].Value);
+
+                        // 金額0は対象外
+                        if (Amount == 0) continue;
+
+                        // 小項目タブ
+                        if (wrkPage.Cotegory == CommonDefine.TabCotegory.Item)
+                        {   // 割当会社を取得する
+                            if (!CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)GridItemColumn.SubConstractorCode].Value))
+                                Code = CommonMotions.cnvInt(wrkRow.Cells[(int)GridItemColumn.SubConstractorCode].Value);
+                        }
+                        // 中項目
+                        else if (wrkPage.Cotegory == CommonDefine.TabCotegory.Component)
+                        {
+                            // 直接入力項目が処理対象
+                            if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)GridComponentColumn.InputFlg].Value)) continue;
+                            if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridComponentColumn.InputFlg].Value) != (int)CommonDefine.DirectInput.Input) continue;
+
+                            // 割当会社を取得する
+                            if (!CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)GridComponentColumn.SubConstractorCode].Value))
+                                Code = CommonMotions.cnvInt(wrkRow.Cells[(int)GridItemColumn.SubConstractorCode].Value);
+
+                            // 割当が無く経費だった場合
+                            if (!CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)GridComponentColumn.ExpensesFlg].Value))
+                            {
+                                if (Code == 0
+                                    && CommonMotions.cnvInt(wrkRow.Cells[(int)GridComponentColumn.ExpensesFlg].Value) == (int)CommonDefine.MyExpenses.Expenses)
+                                {
+                                    continue;
+                                }
+                            }
+                        }
+                        if (Code == 0) bAns = false;
+
+                        // 背景色変更
+                        CommonMotions.chgBackColor(wrkRow.Cells[(int)GridItemColumn.SubConstractorName], bAns);
+                        bRet &= bAns;
+
+                        // エラー時そのページへ移動する
+                        if (!bAns) TabCollections.SelectedTab = wrkPage.EntryTab;
+                    }
+                }
+
+                if (!bRet)
+                {
+                    MessageBox.Show("協力業社が割付られていない項目があります確認してください", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Warning);
+                }
+
+                return bRet;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 工事金額増減の場合親画面を表示する
+        /// <summary>
+        /// 工事金額増減の場合親画面を表示する
+        /// </summary>
+        private void FormLoadParentInput()
+        {
+            IOConstructionLink LinkDB = new IOConstructionLink();
+            try
+            {
+                // 金額増減の子画面以外は処理しない
+                if (m_ConstructionBaseInfo.TyingFlg != (int)CommonDefine.BaseInfoTyingFlg.Tying) return;
+                
+                // 表示中はアクティブにして抜ける
+                if (m_frmParent != null)
+                {
+                    m_frmAmountAllocation.Activate();
+                    return;
+                }
+
+                // 表示ボタンの表示ON
+                panel3.Visible = true;
+
+                // 親の工事番号を取得する
+                string strSQL = String.Format(" WHERE FluctuationCode = {0}", m_ConstructionCode);
+                ConstructionLink LinkRec = new ConstructionLink();
+                if (!LinkDB.SelectAction(strSQL, ref LinkRec)) return;
+
+                // 積算見積書入力起動
+                m_frmParent = new FrmEstimateInput();
+
+                m_frmParent.ConstructionCode = LinkRec.ConstructionCode;
+                m_frmParent.SubForm = true;
+                m_frmParent.ShowInTaskbar = true;
+                m_frmParent.DualModeFlg = true;
+
+                // クロースドハンドラをこちらで定義する
+                m_frmParent.FormClosed += new FormClosedEventHandler(FormCloseParentInput);
+                m_frmParent.Show();
+
+                // 表示位置変更
+                Point parentPO = m_frmParent.Location;
+                parentPO.X += 50;
+                parentPO.Y += 50;
+                m_frmParent.Location = parentPO;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                LinkDB.close(); LinkDB = null;
+            }
+        }
+        #endregion
+
+        #region 工事金額増減時の親画面クローズを取得する
+        /// <summary>
+        /// 工事金額増減時の親画面クローズを取得する
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FormCloseParentInput(object sender, FormClosedEventArgs e)
+        {
+            try
+            {
+                m_frmParent.Dispose(); m_frmParent = null;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateInput/ProcessControl.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateInput/ProcessControl.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateInput/ProcessControl.cs	(revision 6)
@@ -322,32 +322,39 @@
         /// <param name="e"></param>
         private void ProcessExecute_EstimateInput(object sender, EventArgs e)
         {
-            int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimateInput;
-            // フォームがあれば最前面へ
-            FrmEstimateInput frm = (FrmEstimateInput)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
-            if (frm != null)
+            try
             {
-                frm.Activate();
-                return;
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimateInput;
+                // フォームがあれば最前面へ
+                FrmEstimateInput frm = (FrmEstimateInput)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                if (frm != null)
+                {
+                    frm.Activate();
+                    return;
+                }
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!DataEntryProcess()) return;
+                }
+
+                // 積算見積書入力起動
+                frm = new FrmEstimateInput();
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+                frm.ConstructionCode = m_ConstructionCode;
+                frm.SubForm = true;
+                frm.ShowInTaskbar = true;
+
+                // クロースドハンドラをこちらで定義する
+                frm.FormClosed += new FormClosedEventHandler(FrmEstimateInputClosed);
+                frm.Show();
             }
-
-            // データ変更有時はデータ登録
-            if (m_bChengeAns)
+            catch (Exception ex)
             {
-                if (!DataEntryProcess()) return;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-
-            // 積算見積書入力起動
-            frm = new FrmEstimateInput();
-            ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
-            ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-            frm.ConstructionCode = m_ConstructionCode;
-            frm.SubForm = true;
-            frm.ShowInTaskbar = true;
-
-            // クロースドハンドラをこちらで定義する
-            frm.FormClosed += new FormClosedEventHandler(FrmEstimateInputClosed);
-            frm.Show();
         }
         #endregion
 
@@ -359,32 +366,39 @@
         /// <param name="e"></param>
         private void ProcessExecute_EstimatePrint(object sender, EventArgs e)
         {
-            int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimatePrint;
-            // フォームがあれば最前面へ
-            FrmEstimatePrint frm = (FrmEstimatePrint)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
-            if (frm != null)
+            try
             {
-                frm.Activate();
-                return;
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimatePrint;
+                // フォームがあれば最前面へ
+                FrmEstimatePrint frm = (FrmEstimatePrint)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                if (frm != null)
+                {
+                    frm.Activate();
+                    return;
+                }
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!DataEntryProcess()) return;
+                }
+
+                // 積算見積書印刷起動
+                frm = new FrmEstimatePrint();
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+                frm.ConstructionCode = m_ConstructionCode;
+                frm.SubForm = true;
+                frm.ShowInTaskbar = true;
+
+                // クロースドハンドラをこちらで定義する
+                frm.FormClosed += new FormClosedEventHandler(FrmEstimatePrintClosed);
+                frm.Show();
             }
-
-            // データ変更有時はデータ登録
-            if (m_bChengeAns)
+            catch (Exception ex)
             {
-                if (!DataEntryProcess()) return;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-
-            // 積算見積書印刷起動
-            frm = new FrmEstimatePrint();
-            ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
-            ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-            frm.ConstructionCode = m_ConstructionCode;
-            frm.SubForm = true;
-            frm.ShowInTaskbar = true;
-
-            // クロースドハンドラをこちらで定義する
-            frm.FormClosed += new FormClosedEventHandler(FrmEstimatePrintClosed);
-            frm.Show();
         }
         #endregion
 
@@ -636,7 +650,7 @@
                 frm = new FrmConstructionLedger();
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-                frm.ConstructionCode = m_ConstructionCode;
+                frm.ConstructionCode = ClsProcessExist.GetParentConstrCode(m_ConstructionCode);
                 frm.SubForm = true;
                 frm.ShowInTaskbar = true;
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimatePrint/FrmEstimatePrint.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimatePrint/FrmEstimatePrint.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimatePrint/FrmEstimatePrint.cs	(revision 6)
@@ -279,7 +279,7 @@
                 frmStatus.ProgressStatus = iProgressCode;
 
                 // ウィンドウ表示
-                frmStatus.ShowInTaskbar = false;
+                //frmStatus.ShowInTaskbar = false;
                 frmStatus.ShowDialog();
                 
                 // 終了状態
@@ -299,7 +299,7 @@
                 {
                     // 保存先を選択する
                     frm.SaveType = (int)CommonDefine.SaveFileType.ExcelFile;
-                    frm.ShowInTaskbar = false;
+                    //frm.ShowInTaskbar = false;
                     frm.ShowDialog();
                     if (frm.EndButton == DialogResult.Cancel) return;
                     m_SelectSaveExcel = frm.SelectPath;
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimatePrint/FrmEstimatePrintAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimatePrint/FrmEstimatePrintAuxiliary.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimatePrint/FrmEstimatePrintAuxiliary.cs	(revision 6)
@@ -836,8 +836,7 @@
             }
             finally
             {
-                etbDB.close();
-                etbDB = null;
+                etbDB.close(); etbDB = null;
             }
         }
         #endregion
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimatePrint/ProcessControl.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimatePrint/ProcessControl.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimatePrint/ProcessControl.cs	(revision 6)
@@ -322,32 +322,39 @@
         /// <param name="e"></param>
         private void ProcessExecute_EstimateInput(object sender, EventArgs e)
         {
-            int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimateInput;
-            // フォームがあれば最前面へ
-            FrmEstimateInput frm = (FrmEstimateInput)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
-            if (frm != null)
+            try
             {
-                frm.Activate();
-                return;
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimateInput;
+                // フォームがあれば最前面へ
+                FrmEstimateInput frm = (FrmEstimateInput)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                if (frm != null)
+                {
+                    frm.Activate();
+                    return;
+                }
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!DataEntryProcess()) return;
+                }
+
+                // 積算見積書入力起動
+                frm = new FrmEstimateInput();
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+                frm.ConstructionCode = m_ConstructionCode;
+                frm.SubForm = true;
+                frm.ShowInTaskbar = true;
+
+                // クロースドハンドラをこちらで定義する
+                frm.FormClosed += new FormClosedEventHandler(FrmEstimateInputClosed);
+                frm.Show();
             }
-
-            // データ変更有時はデータ登録
-            if (m_bChengeAns)
+            catch (Exception ex)
             {
-                if (!DataEntryProcess()) return;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-
-            // 積算見積書入力起動
-            frm = new FrmEstimateInput();
-            ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
-            ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-            frm.ConstructionCode = m_ConstructionCode;
-            frm.SubForm = true;
-            frm.ShowInTaskbar = true;
-
-            // クロースドハンドラをこちらで定義する
-            frm.FormClosed += new FormClosedEventHandler(FrmEstimateInputClosed);
-            frm.Show();
         }
         #endregion
 
@@ -359,32 +366,39 @@
         /// <param name="e"></param>
         private void ProcessExecute_EstimatePrint(object sender, EventArgs e)
         {
-            int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimatePrint;
-            // フォームがあれば最前面へ
-            FrmEstimatePrint frm = (FrmEstimatePrint)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
-            if (frm != null)
+            try
             {
-                frm.Activate();
-                return;
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimatePrint;
+                // フォームがあれば最前面へ
+                FrmEstimatePrint frm = (FrmEstimatePrint)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                if (frm != null)
+                {
+                    frm.Activate();
+                    return;
+                }
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!DataEntryProcess()) return;
+                }
+
+                // 積算見積書印刷起動
+                frm = new FrmEstimatePrint();
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+                frm.ConstructionCode = m_ConstructionCode;
+                frm.SubForm = true;
+                frm.ShowInTaskbar = true;
+
+                // クロースドハンドラをこちらで定義する
+                frm.FormClosed += new FormClosedEventHandler(FrmEstimatePrintClosed);
+                frm.Show();
             }
-
-            // データ変更有時はデータ登録
-            if (m_bChengeAns)
+            catch (Exception ex)
             {
-                if (!DataEntryProcess()) return;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-
-            // 積算見積書印刷起動
-            frm = new FrmEstimatePrint();
-            ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
-            ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-            frm.ConstructionCode = m_ConstructionCode;
-            frm.SubForm = true;
-            frm.ShowInTaskbar = true;
-
-            // クロースドハンドラをこちらで定義する
-            frm.FormClosed += new FormClosedEventHandler(FrmEstimatePrintClosed);
-            frm.Show();
         }
         #endregion
 
@@ -636,7 +650,7 @@
                 frm = new FrmConstructionLedger();
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-                frm.ConstructionCode = m_ConstructionCode;
+                frm.ConstructionCode = ClsProcessExist.GetParentConstrCode(m_ConstructionCode);
                 frm.SubForm = true;
                 frm.ShowInTaskbar = true;
 
